The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Admin Domains

Prev Next

This URL gets details of all admin domains in the Manager starting from root AD and all child ADs including hierarchy information.

Resource URL

GET /domain

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

DomainDescriptor

Domain details

Object

Details of DomainDescriptor:

Field Name

Description

Data Type

id

Domain Id

Number

name

Domain name

String

childdomains

List of domain descriptor object

Array

Example

Request

GET https://<nsm_ip>/sdkapi/domain

Response

{
  "DomainDescriptor": {
    "childdomains": [
      {
        "childdomains": null, 
        "id": 102, 
        "name": "Test Child Domain 2"
      }, 
      {
        "childdomains": [
          {
            "childdomains": [
              {
                "childdomains": null, 
                "id": 104, 
                "name": "Test Child Domain 1.1.1"
              }
            ], 
            "id": 103, 
            "name": "Test Child Domain 1.1"
          }
        ], 
        "id": 101, 
        "name": "Test Child Domain 1"
      }
    ], 
    "id": 0, 
    "name": "My Company"
  }
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error code

SDK API errorId

errorMessage

1

400

4501

Unable to get the Manager details